# TODO: drop py310 patch and BR python>=3.11 when available in PLD (instead of separate StrEnum package)
Summary:	X Keyboard Configuration Database
Summary(pl.UTF-8):	Baza danych konfiguracji klawiatury pod X
Name:		xkeyboard-config
Version:	2.42
Release:	1
License:	MIT
Group:		X11/Development/Libraries
Source0:	https://xorg.freedesktop.org/releases/individual/data/xkeyboard-config/%{name}-%{version}.tar.xz
# Source0-md5:	2d3b7e43e597f4c607ad6261e2b3d77f
Patch0:		%{name}-py310.patch
URL:		https://www.freedesktop.org/wiki/Software/XKeyboardConfig
BuildRequires:	gettext-tools >= 0.19.8
BuildRequires:	libxslt-progs
BuildRequires:	meson >= 0.54.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	python3 >= 1:3.7
BuildRequires:	python3-StrEnum
BuildRequires:	rpmbuild(macros) >= 1.446
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-util-util-macros >= 1.12
BuildRequires:	xz
# for sinhala layouts
Requires:	xorg-lib-libX11 >= 1.4.3
Provides:	xorg-data-xkbdata
Obsoletes:	xorg-data-xkbdata < 0.9
# due to large maximum keycode handling
Conflicts:	xorg-app-xkbcomp < 1.4.2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The non-arch keyboard configuration database for X Window System. The
goal is to provide the consistent, well-structured, frequently
released open source of X keyboard configuration data for X Window
System implementations (free, open source and commercial). The project
is targeted to XKB-based systems.

%description -l pl.UTF-8
Niezależna od architektury baza danych konfiguracji klawiatury dla
systemu X Window. Celem jest dostarczenie spójnych, dobrze
zbudowanych, często wydawanych danych konfiguracji klawiatury pod X z
otwartymi źródłami dla implementacji X Window System (wolnodostępnych,
mających otwarte źródła i komercyjnych). Projekt jest przeznaczony dla
systemów opartych na XKB.

%prep
%setup -q
%patch0 -p1

%build
%meson build

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

ln -s /var/lib/xkb $RPM_BUILD_ROOT%{_datadir}/X11/xkb/compiled

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%pretrans
# it used to be directory in xkbdata
if [ -d %{_datadir}/X11/xkb/symbols/pc ]; then
	mv -b %{_datadir}/X11/xkb/symbols/pc{,.dir}
%banner -e %{name} <<EOF
Check out %{_datadir}/X11/xkb/symbols/pc.dir
for your own files and remove it when done.
EOF
fi
if [ -d %{_datadir}/X11/xkb/compiled ]; then
	rm -rf %{_datadir}/X11/xkb/compiled
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README docs/H* docs/R*
%{_datadir}/X11/xkb
%{_npkgconfigdir}/xkeyboard-config.pc
%{_mandir}/man7/xkeyboard-config.7*
%changelog
* Sat Jun 08 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xkeyboard-config.git;a=log;h=master

* Sat Jun 08 2024 Jakub Bogusz <qboosh@pld-linux.org> dfe92a5
- updated to 2.42; patched to allow python 3.7..3.10

* Fri Feb 09 2024 Jakub Bogusz <qboosh@pld-linux.org> 170a98b
- updated to 2.41

* Sat Jan 27 2024 Jakub Bogusz <qboosh@pld-linux.org> 317a0ff
- updated to 2.40

* Wed Mar 01 2023 Jakub Bogusz <qboosh@pld-linux.org> 33b03d1
- updated to 2.38

* Thu Dec 29 2022 Jakub Bogusz <qboosh@pld-linux.org> d5cc54a
- updated to 2.37

* Tue Feb 22 2022 Jakub Bogusz <qboosh@pld-linux.org> 6ea17b4
- updated to 2.35.1; now uses meson

* Wed Oct 06 2021 Jakub Bogusz <qboosh@pld-linux.org> d983a0a
- updated to 2.34

* Wed Jun 16 2021 Jakub Bogusz <qboosh@pld-linux.org> 76abc6e
- updated to 2.33

* Fri Oct 09 2020 Jakub Bogusz <qboosh@pld-linux.org> ce13d3a
- updated to 2.31

* Mon Jul 06 2020 Jakub Bogusz <qboosh@pld-linux.org> 5b6aa45
- updated to 2.30

* Sun Feb 23 2020 Jakub Bogusz <qboosh@pld-linux.org> f0d0777
- updated to 2.29

* Wed Jun 19 2019 Jakub Bogusz <qboosh@pld-linux.org> 426ce50
- updated to 2.27

* Thu Feb 21 2019 Jakub Bogusz <qboosh@pld-linux.org> 514a6b9
- updated to 2.26

* Thu Nov 29 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> e50913c
- up to 2.25

* Fri Jun 08 2018 Jakub Bogusz <qboosh@pld-linux.org> d7f9304
- updated to 2.24
- removed obsolete pl patch

* Thu Feb 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 008d2ec
- rel 2; fixes https://bugs.freedesktop.org/show_bug.cgi?id=104904

* Thu Feb 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> f9ed485
- up to 2.23.1

* Wed Jan 31 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> c936710
- up to 2.23

* Sun Oct 29 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 78742b6
- up to 2.22

* Sat Jun 11 2016 Jakub Bogusz <qboosh@pld-linux.org> 655abf6
- updated to 2.18

